Subject: bug#19219: New command-line syntax for package + version?

From: Andreas Enge <[email-masked]>
Date: Fri, 1 Jan 2016 21:36:23 +0100

On Thu, Dec 31, 2015 at 10:26:56AM -0600, Christopher Allan Webber wrote:
> If the @ is for the optional choice of including a version, I'm good
> with it.  It does mean we can never have @ in our package names, but
> that might be a good restriction anyway :)

According to the packaging guidelines, package names should only contain
lower-case letters, digits and "-" (the formulation is a bit ambiguous,
but this is the intent). So any choice of separators apart from "-" should
be fine, and we can happily bikeshed!

Andreas